import json
import os

from uuid import uuid4

from uncloud.common.shared import shared

data = {
    'is_public': True,
    'type': 'ceph',
    'name': 'images',
    'description': 'first ever public image-store',
    'attributes': {'list': [], 'key': [], 'pool': 'images'},
}

shared.etcd_client.put(
    os.path.join(shared.settings['etcd']['image_store_prefix'], uuid4().hex),
    json.dumps(data),
)
